Debian Bug report logs - #605240
tenshi: fails to upgrade from lenny

version graph

Package: tenshi; Maintainer for tenshi is Ignace Mouzannar <mouzannar@gmail.com>; Source for tenshi is src:tenshi.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 28 Nov 2010 12:33:01 UTC

Severity: serious

Tags: patch

Merged with 606789

Found in version tenshi/0.11-1

Fixed in version tenshi/0.11-2

Done: Ignace Mouzannar <mouzannar@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#605240; Package tenshi. (Sun, 28 Nov 2010 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Ignace Mouzannar <mouzannar@gmail.com>. (Sun, 28 Nov 2010 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: tenshi: fails to upgrade from lenny
Date: Sun, 28 Nov 2010 13:29:58 +0100
[Message part 1 (text/plain, inline)]
Package: tenshi
Version: 0.11-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package fails to upgrade from 
lenny. It installed fine in lenny, then the upgrade to squeeze fails.

From the attached log (scroll to the bottom...):

  Setting up tenshi (0.11-1) ...
  Installing new version of config file /etc/init.d/tenshi ...
  Installing new version of config file /etc/tenshi/tenshi.conf ...
  chown: cannot access `/var/run/tenshi': No such file or directory
  dpkg: error processing tenshi (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   tenshi
  E: Sub-process /usr/bin/dpkg returned an error code (1)

I guess this is because tenshi was never run, which is a quite exotic 
usecase ;-) (Though people do that, ie do automatic installations and then 
immediatly upgrade. Still exotic ;)
So I'm "just" using severity important (and not serious) as it's still a 
release goal to have a piuparts clean archive. If you think this is still too 
much, feel free to lower the severity, though I'd of course appreciate if 
you'd rather this bug instead :)


cheers,
	Holger
[tenshi_0.11-1.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#605240; Package tenshi. (Mon, 29 Nov 2010 09:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. (Mon, 29 Nov 2010 09:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 605240@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: Holger Levsen <holger@layer-acht.org>, 605240@bugs.debian.org
Subject: Re: Bug#605240: tenshi: fails to upgrade from lenny
Date: Mon, 29 Nov 2010 10:49:18 +0100
Hello Holger,

On Sun, Nov 28, 2010 at 13:29, Holger Levsen <holger@layer-acht.org> wrote:
> Hi,
>
> during a test with piuparts I noticed your package fails to upgrade from
> lenny. It installed fine in lenny, then the upgrade to squeeze fails.
>
> (...)
>
> I guess this is because tenshi was never run, which is a quite exotic
> usecase ;-) (Though people do that, ie do automatic installations and then
> immediatly upgrade. Still exotic ;)

Actually, as the /var/run content is cleared at the beginning of the
boot process (as per the FHS [1]), this bug could also be reproduced
if tenshi is installed but disabled at boot time (in which case the
/var/run/tenshi directory won't exist after a fresh boot).

I have worked last week on correcting the bug (after Lucas sent his
email), but I encountered some small issues that Ansgar pointed out.
Here is the relevant -mentor thread [2].

I have corrected the bug, but I am still awaiting a
review/acknowledgment, as I am not sure this is the best way to do it
[3]. Any feedback would be very much appreciated. :)

> So I'm "just" using severity important (and not serious) as it's still a
> release goal to have a piuparts clean archive. If you think this is still too
> much, feel free to lower the severity, though I'd of course appreciate if
> you'd rather this bug instead :)

I'll keep it this way, and send a request for the freeze exception
when the package is uploaded to unstable.

Thank you for filling in this report.

Cheers,
 Ignace M

[1] http://www.pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA
[2] http://lists.debian.org/debian-mentors/2010/11/threads.html#00388
[3] http://lists.debian.org/debian-mentors/2010/11/msg00528.html




Severity set to 'serious' from 'important' Request was from Ignace Mouzannar <mouzannar@gmail.com> to control@bugs.debian.org. (Sun, 12 Dec 2010 17:09:09 GMT) Full text and rfc822 format available.

Merged 605240 606789. Request was from Ignace Mouzannar <mouzannar@gmail.com> to control@bugs.debian.org. (Sun, 12 Dec 2010 17:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#605240; Package tenshi. (Mon, 20 Dec 2010 11:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 20 Dec 2010 11:03:03 GMT) Full text and rfc822 format available.

Message #19 received at 605240@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: ghantoos@ghantoos.org, 605240@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Re: RFS: tenshi (updated)
Date: Mon, 20 Dec 2010 20:02:09 +0900
Hi,

 tenshi-0.11-2 looks good for me, but I'll suggest you to check it
 with piuparts.

>0m18.2s DUMP:
>  (Reading database ... 10298 files and directories currently installed.)
>  Removing tenshi ...
>  Purging configuration files for tenshi ...
>  Removing tenshi system user../var/lib/dpkg/info/tenshi.postrm: 22: deluser: not found
>  .done

 deluser from adduser package, and adduser package is purged before removing
 tenshi. So, userdel should be used in this way, and I think return true
 anytime is not good habit, it sometimes hides problems.


diff -u tenshi-0.11/debian/postrm tenshi-0.11/debian/postrm
--- tenshi-0.11/debian/postrm
+++ tenshi-0.11/debian/postrm
@@ -8,7 +8,7 @@
          rm -rf /var/lib/tenshi ||true
          if getent passwd tenshi 2>&1 >/dev/null; then
              echo -n "Removing tenshi system user.."
-             deluser --quiet tenshi ||true
+             userdel tenshi
              echo ".done"
          fi




Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 20 Dec 2010 11:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#605240; Package tenshi. (Mon, 20 Dec 2010 21:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <ghantoos@ghantoos.org>:
Extra info received and forwarded to list. Copy sent to Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 20 Dec 2010 21:45:06 GMT) Full text and rfc822 format available.

Message #26 received at 605240@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <ghantoos@ghantoos.org>
To: Hideki Yamane <henrich@debian.or.jp>, 605240@bugs.debian.org
Subject: Re: Bug#605240: Re: RFS: tenshi (updated)
Date: Mon, 20 Dec 2010 22:42:16 +0100
On Mon, Dec 20, 2010 at 12:02, Hideki Yamane <henrich@debian.or.jp> wrote:
> Hi,

Hey,

>  tenshi-0.11-2 looks good for me, but I'll suggest you to check it
>  with piuparts.
>
>>0m18.2s DUMP:
>>  (Reading database ... 10298 files and directories currently installed.)
>>  Removing tenshi ...
>>  Purging configuration files for tenshi ...
>>  Removing tenshi system user../var/lib/dpkg/info/tenshi.postrm: 22: deluser: not found
>>  .done
>
>  deluser from adduser package, and adduser package is purged before removing
>  tenshi. So, userdel should be used in this way, and I think return true
>  anytime is not good habit, it sometimes hides problems.

Nice catch. We can see the full piuparts test here [1].

Thank you for the patch. I'll make sure to include it in the next upload.

Cheers,
 Ignace M




Information forwarded to debian-bugs-dist@lists.debian.org, Ignace Mouzannar <mouzannar@gmail.com>:
Bug#605240; Package tenshi. (Mon, 27 Dec 2010 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ignace Mouzannar <mouzannar@gmail.com>. (Mon, 27 Dec 2010 17:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 605240@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 605240@bugs.debian.org
Cc: ansgar@debian.org
Subject: Re: Bug#605240: tenshi: fails to upgrade from lenny
Date: Mon, 27 Dec 2010 18:27:13 +0100
[Message part 1 (text/plain, inline)]
tag 605240 + patch
thanks

On Mon, 29 Nov 2010 10:49:18 +0100, Ignace Mouzannar wrote:

> I'll keep it this way, and send a request for the freeze exception
> when the package is uploaded to unstable.

The new version is on mentors.d.n:
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=tenshi
http://mentors.debian.net/debian/pool/main/t/tenshi/tenshi_0.11-2.dsc

What keeps me from uploading is that
- Ansgar was dealing with this package already
- I'm not sure if the changes are not a bit too much for a freeze
  exception at that point

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Pink Floyd: Us And Them
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ignace Mouzannar <mouzannar@gmail.com>:
You have taken responsibility. (Sat, 01 Jan 2011 22:33:03 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 01 Jan 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #36 received at 605240-close@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: 605240-close@bugs.debian.org
Subject: Bug#605240: fixed in tenshi 0.11-2
Date: Sat, 01 Jan 2011 22:32:09 +0000
Source: tenshi
Source-Version: 0.11-2

We believe that the bug you reported is fixed in the latest version of
tenshi, which is due to be installed in the Debian FTP archive:

tenshi_0.11-2.diff.gz
  to main/t/tenshi/tenshi_0.11-2.diff.gz
tenshi_0.11-2.dsc
  to main/t/tenshi/tenshi_0.11-2.dsc
tenshi_0.11-2_all.deb
  to main/t/tenshi/tenshi_0.11-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605240@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ignace Mouzannar <mouzannar@gmail.com> (supplier of updated tenshi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 20 Dec 2010 22:43:12 +0100
Source: tenshi
Binary: tenshi
Architecture: all source
Version: 0.11-2
Distribution: unstable
Urgency: low
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Changed-By: Ignace Mouzannar <mouzannar@gmail.com>
Closes: 605240 606789
Description: 
 tenshi     - log monitoring and reporting tool
Changes: 
 tenshi (0.11-2) unstable; urgency=low
 .
   * debian/control:
     - Bumped Standards-Version to 3.9.1.
     - Added Vcs-Svn and Vcs-Browser.
     - Set debhelper dependency to (>= 7.0.8) as dh_overrides are not used by
       debian/rules anymore.
   * debian/postinst:
     - Changed tenshi user home directory from /var/run/tenshi to
       /var/lib/tenshi as files in /var/run are cleared at boot time.
       This made the package upgrade from lenny to squeeze fail.
       Thank you Lucas Nussbaum for spotting this issue.
       (Closes: #605240, #606789)
   * debian/patches:
     - 20-manpage.diff: Added typo correction in manpage.
   * debian/source:
     - Added format file set to "1.0".
   * debian/rules:
     - Removed the dh_installinit override, in order to stop the tenshi script
       before upgrading the package. This will be applicable during the next
       upgrade.
   * debian/preinst:
     - Added this pre-installation script in order to stop the tenshi daemon
       before starting the upgrade to the current release. This had to be
       done as the -R flag was passed to dh_installinit in previous release.
   * debian/postrm:
     - Replaced deluser(8) with userdel(8) as adduser package is purged before
       tenshi. Thank you Hideki Yamane <henrich@debian.or.jp> for the patch.
Checksums-Sha1: 
 f03aad570a91da6f550167075699863d54e3280a 1788 tenshi_0.11-2.dsc
 5024cf72f5a23a4794a6024fd5970bbfb9f6573f 9267 tenshi_0.11-2.diff.gz
 2c9dc231e57b03f4737d6ea487e5180ee1760996 33830 tenshi_0.11-2_all.deb
Checksums-Sha256: 
 fad38162de8bb6bbae9340be61fd0c340b8b955a40a895c6c8d5e836f7edef0a 1788 tenshi_0.11-2.dsc
 2db4cf23d1e594486a210bf84ca6e54068ecb75ec4d63cdb517deb34074e983e 9267 tenshi_0.11-2.diff.gz
 6569ac8b714f8d56812624e5b4b8df21f09ab665bf9a18e31c6b207d3f3dc552 33830 tenshi_0.11-2_all.deb
Files: 
 4d21b4949dc3ab5ef2632ba6817001d4 1788 admin optional tenshi_0.11-2.dsc
 163143d3cffb5253ac57afa931ad1b4e 9267 admin optional tenshi_0.11-2.diff.gz
 72f3abf45fa4e6a62112627c22c0e40a 33830 admin optional tenshi_0.11-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNH6ZGAAoJEIATJTTdNH3I1dMQALpVYTCDcZLg9PdNeqsu0ffh
ig20EYcnlYqfC5BI6XnHra2iBwGXgs5/revLKD9lRfH8MCHDbdjwXmmQ0pRZzY7I
2HFYDZVOB14uCEzTBmAh6XoexhhNDi57TsB2lOtOWy+cltOxfJDfcWg9jLInNd7B
xPLQHx/EdO7HFKtisfTbXcXhT8/kn8KaMuizbIne/Pz60B/8Y7Etsba6v5QZFWLi
phoH9u4oHj6uSueQFS/gCfdsx5J2+8DLlQ2Kn3tHnvIdOyZNxpwf3StNDdcASts5
LgQgxJnOP5y0mAYvFE/reVAUq+HuZ9LglHIZEMFbJGqYJun7tcgtDHB4GP+gN6wH
+Lmzs4miNrxPsp5j13SoPyoc9j0pHQ68cm2XLAKBwxb1Hf83mj4q3QrRBL0spYMJ
UlXnNPdRrmZATH1Au7GKPAI3mBflkHPtN0dx05x5Kh43B0zUw5yANFVLvq9Q51xR
O8QCchU20YWmfXS/jW8RUZTU/aqM/JLRRLq/yx351AvqTYWTceAJrbCnF7lKiSLe
NggB6Vx8obz1bsZEt6oEfQgcuVRnDieECDvf2glTnJ/X0YZMDbK9zTBWICXXsQXv
kLXLrQnz314oB2RiW/yIv4z/bLelYp1e3Hlp3kdNxyBlHqPajf7oChzVjKiWmRJa
XZEgkuTIBnZYFssmzb67
=um3/
-----END PGP SIGNATURE-----





Reply sent to Ignace Mouzannar <mouzannar@gmail.com>:
You have taken responsibility. (Sat, 01 Jan 2011 22:33:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 01 Jan 2011 22:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#605240; Package tenshi. (Mon, 03 Jan 2011 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ignace Mouzannar <mouzannar@gmail.com>:
Extra info received and forwarded to list. (Mon, 03 Jan 2011 18:54:05 GMT) Full text and rfc822 format available.

Message #46 received at 605240@bugs.debian.org (full text, mbox):

From: Ignace Mouzannar <mouzannar@gmail.com>
To: gregor herrmann <gregoa@debian.org>, 605240@bugs.debian.org
Cc: ansgar@debian.org
Subject: Re: Bug#605240: tenshi: fails to upgrade from lenny
Date: Mon, 3 Jan 2011 19:49:41 +0100
On Mon, Dec 27, 2010 at 18:27, gregor herrmann <gregoa@debian.org> wrote:
> What keeps me from uploading is that
> - Ansgar was dealing with this package already
> - I'm not sure if the changes are not a bit too much for a freeze
>  exception at that point

Hi gregor,

Sorry for the late response. I just came back yesterday from my
holidays to see that Ansgar had uploaded my package.

Now that you say it, I must admit that I am quite afraid that the
changes might be too important for a freeze-exception.

Anyways, I have just requested a freeze-exception [1]. I cross my
fingers for it to be granted.. :)

Cheers,
 Ignace M

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608827




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:50:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:32:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.